; ic2 general config
; created May 26, 2022 11:52:39 AM
;---

[worldgen]
; Enable generation of rubber trees in the world.
rubberTree = true
; Comma separated list of dimensions to not generate rubber trees in

; Does nothing if rubber tree generation is disabled
rubberTreeBlacklist = 
; Factor scaling the IC2 ore generation quantity.
oreDensityFactor = 1.0
; Factor scaling the IC2 tree generation quantity.
treeDensityFactor = 1.0
; Enable scaling the generation y levels and quantities to the sea level according to the formula

; newValue = configuredValue * sealevel / 64.

; The ore density (ratio between stone and ores) will be independent on the worlds's sea level if

; enabled.
normalizeHeight = true
; Maximum amount of chunks to check for retrogen viability each tick.

; Retrogen is the retroactive generation of terrain features, e.g. ores and trees.

; Set it to 0 to disable retrogen.

; When enabling this the recommended value is 16
retrogenCheckLimit = 0
; Maximum amount of chunks to process for retrogen each tick.

; Values exceeding retrogenCheckLimit are being truncated.
retrogenUpdateLimit = 2

; Settings for generating copper ore
[worldgen / copper]
; Enable generating this ore
enabled = true
; Amount of clusters to generate
count = 15
; Cluster size
size = 10
; Start height (inclusive)
minHeight = 0
; End height (exclusive)
maxHeight = 68
; Distribution across the height.

; Valid options are:

; - uniform: same probability across all y levels

; - triangle: maximum in the middle ((minHeight+maxHeight) / 2), linear falloff to the bounds

; - ramp: maximum at minHeight, linear falloff towards maxHeight

; - revramp: maximum at maxHeight, linear falloff towards minHeight

; - smooth: maximum in the middle, maintains high levels over a wide range before falling off

; smoothly like a normal distribution with a more trapezoidal shape
distribution = smooth

; Settings for generating lead ore
[worldgen / lead]
; Enable generating this ore
enabled = true
; Amount of clusters to generate
count = 8
; Cluster size
size = 4
; Start height (inclusive)
minHeight = 0
; End height (exclusive)
maxHeight = 64
; Distribution across the height.

; Valid options are:

; - uniform: same probability across all y levels

; - triangle: maximum in the middle ((minHeight+maxHeight) / 2), linear falloff to the bounds

; - ramp: maximum at minHeight, linear falloff towards maxHeight

; - revramp: maximum at maxHeight, linear falloff towards minHeight

; - smooth: maximum in the middle, maintains high levels over a wide range before falling off

; smoothly like a normal distribution with a more trapezoidal shape
distribution = uniform

; Settings for generating tin ore
[worldgen / tin]
; Enable generating this ore
enabled = true
; Amount of clusters to generate
count = 25
; Cluster size
size = 6
; Start height (inclusive)
minHeight = 0
; End height (exclusive)
maxHeight = 40
; Distribution across the height.

; Valid options are:

; - uniform: same probability across all y levels

; - triangle: maximum in the middle ((minHeight+maxHeight) / 2), linear falloff to the bounds

; - ramp: maximum at minHeight, linear falloff towards maxHeight

; - revramp: maximum at maxHeight, linear falloff towards minHeight

; - smooth: maximum in the middle, maintains high levels over a wide range before falling off

; smoothly like a normal distribution with a more trapezoidal shape
distribution = uniform

; Settings for generating uranium ore
[worldgen / uranium]
; Enable generating this ore
enabled = true
; Amount of clusters to generate
count = 20
; Cluster size
size = 3
; Start height (inclusive)
minHeight = 0
; End height (exclusive)
maxHeight = 64
; Distribution across the height.

; Valid options are:

; - uniform: same probability across all y levels

; - triangle: maximum in the middle ((minHeight+maxHeight) / 2), linear falloff to the bounds

; - ramp: maximum at minHeight, linear falloff towards maxHeight

; - revramp: maximum at maxHeight, linear falloff towards minHeight

; - smooth: maximum in the middle, maintains high levels over a wide range before falling off

; smoothly like a normal distribution with a more trapezoidal shape
distribution = uniform

[protection]
; Enable logging of players when they remove a machine using a wrench.
wrenchLogging = true
; Maximum Explosion power of a nuke, where TNT is 4.
nukeExplosionPowerLimit = 60
; Maximum explosion power of a nuclear reactor, where TNT is 4.
reactorExplosionPowerLimit = 45
; Enable the nuke
enableNuke = true

[profiles]
; Pick a profile to use, default options provided by IC2 are Experimental and Classic
selected = Experimental

[balance]
; Maximum battery tier usable by the miner.

; 1 = batteries, 2 = lead batteries, 3 = energy crystals, 4 = lapotron crystals
minerDischargeTier = 1
; Increase the energy use by the player's inventory weight when going through a teleporter.
teleporterUseInventoryWeight = true
; Ratio of energy retained inside energy storage block Items when wrenched.

; 0 (nothing) ... 1 (100%), default 0.8 (80 %)
energyRetainedInStorageBlockDrops = 0.8
; Power tier of the Mass Fabricator
massFabricatorTier = 3
; Power tier of the Matter Fabricator
matterFabricatorTier = 3
; Factor to scale the UU-Matter production energy requirement.
uuEnergyFactor = 1.0
; Disable the vanilla ender chest, removing existing ones from the world as well.
disableEnderChest = false
; Comma separated list of blocks and items which should not be turned into scrap by the recycler.

; Format: <name>[@metadata], metadata * matches any.

; Ore dictionary entries can be specified with OreDict:<ore dict name> as the name.
recyclerBlacklist = minecraft:glass_pane, minecraft:stick, minecraft:snowball, minecraft:snow_layer, minecraft:snow, IC2:scaffold
; Whitelist for blocks/items allowed to be recycled.

; The whitelist will be used instead of the blacklist approach if it's non-empty, disallowing everything else.

; The format is the same as the blacklist.
recyclerWhitelist = 
; Allow to pick blocks up using just a pickaxe instead of needing a wrench.
ignoreWrenchRequirement = false
; Allow the water slot of water mills to be automated.
watermillAutomation = false
; How many EU the Chunkloader uses per chunk it loads.
euPerChunk = 1.0

; Base energy generation factors - increase for higher energy yield.
[balance / energy / generator]
generator = 1.0
geothermal = 1.0
water = 1.0
solar = 1.0
wind = 1.0
nuclear = 1.0
semiFluidOil = 1.0
semiFluidFuel = 1.0
semiFluidBiomass = 1.0
semiFluidBioethanol = 1.0
semiFluidBiogas = 1.0
Stirling = 1.0
Kinetic = 1.0
radioisotope = 1.0

; Base heat generation factors - increase for higher heat yield.
[balance / energy / heatgenerator]
semiFluidOil = 1.0
semiFluidFuel = 1.0
semiFluidBiomass = 1.0
semiFluidBioethanol = 1.0
semiFluidBiogas = 1.0
solid = 1.0
radioisotope = 1.0
electric = 1.0

; Base kinetic generation factors - increase for higher kinetic energy yield.
[balance / energy / kineticgenerator]
water = 1.0
wind = 1.0
manual = 1.0
steam = 1.0
electric = 1.0

; Basically the amount of hU the conversion of one mB of Liquid takes/gives
[balance / energy / fluidconversion]
; Lava -> PahoehoeLava
heatExchangerLava = 1.0
; Hot Coolant <-> Cold Coolant
heatExchangerHotCoolant = 1.0
; Hot Water <- Water
heatExchangerWater = 1.0

; Base Coolant conversion rate for FluidReactors.
[balance / energy / FluidReactor]
outputModifier = 1.0

; Balace Value for Turbine Livetime in sec. Default 86400sec = 24h
[balance / SteamKineticGenerator]
rotorlivetime = 86400

; Balace Values for calcification default 100.000mB Water -> to failure
[balance / steamgenerator / calcification]
maxcalcification = 100000

[balance / steamRepressurizer]
; Amount (in mb) of standard steam per 10mb of IC2 steam
steamPerSteam = 16
; Amount (in mb) of standard steam per 10mb of IC2 super-heated steam
steamPerSuperSteam = 32

; Balance Values for Fermenter
[balance / fermenter]
need_amount_biomass_per_run = 20
output_amount_biogas_per_run = 400
hU_per_run = 4000
biomass_per_fertilizier = 500

; Additional initial uu values, a value of 1 equals cobblestone.

; Recipes may cause the final value be lower than the one specified here.

; Format: <name>[@metadata] = <value>
[balance / uu-values / predefined]
IC2:misc_resource#iridium_ore = 12000
IC2:misc_resource#iridium_shard = 1333

[recipes]
; To modify recipes or add custom recipes, copy the corresponding .ini file to

; "minecraft/config/ic2" and modify it.

; 

; Disable IC2 crafting recipes with the specified output, comma separated list.

; Non-IC2 recipes can be removed via the purge list below.

; Format: <name>[@metadata], e.g. minecraft:bucket to disable IC2's bucket recipe from tin.
disable = 
; Purge all non-IC2 crafting recipes with the specified output, comma separated list.

; IC2 recipes can be removed via the disable list above.

; Format: <name>[@metadata], e.g. minecraft:tnt to disable crafting tnt.
purge = 
; Blacklist for items which the jetpack attachment plate cannot be used on.

; The format: <name>, e.g. minecraft:leather_chestplate to disable attaching jetpacks to leather tunics
jetpackAttachmentBlacklist = 
; Enable crafting of IC2 coins, otherwise they have to be spawned in and are thus limited.
allowCoinCrafting = true
; Allow only IC2 circuits to be used in IC2's recipes.
requireIc2Circuits = false
; Adjust smelting recipes to always output IC2 items if available.
smeltToIc2Items = false
; Ignore invalid recipes.
ignoreInvalidRecipes = false

[audio]
; Enable IC2's custom sound system.
enabled = true
; Volume of IC2's sounds, range from 0 (silent) ... 1 (100%)
volume = 1.0
; The number of blocks the sounds attenuate over
fadeDistance = 16
; Maximum number of active audio sources, only change it if you know what you're doing.
maxSourceCount = 32

[misc]
; Enable hiding of secret recipes in CraftGuide/NEI.
hideSecretRecipes = true
; Enable activation of the quantum leggings' speed boost when sprinting instead of holding the boost key.
quantumSpeedOnSprint = true
; Enable burning of scrap in a generator.
allowBurningScrap = true
; Comma separated list with ores the miner should harvest.

; Format: <name>[@metadata], e.g. minecraft:torch, minecraft:chest

; The metadata * will match any, e.g. minecraft:log@*.

; Ore dictionary entries can be specified with OreDict:<ore dict name> as the name.
additionalValuableOres = 
; Use the new highly experimental current + voltage energy net model with energy loss.

; Only set this to true if you know what you are doing.
useLinearTransferModel = false
; Configure whether energy loss is rounded down to the nearest whole EU or not
roundEnetLoss = true
; If you really really really don't want to have your machines explode if you don't pay attention to voltage, you can disable that here.
enableEnetExplosions = true
; Same for cable meltdown
enableEnetCableMeltdown = true

[debug]
; Log whenever wrenching didn't produce any drops.
logEmptyWrenchDrops = true
; Log incorrect damage applications to items that aren't supposed to ever take damage.
logIncorrectItemDamaging = false
; Log problems occuring when processing connectivity updates in the energy network.
logGridUpdateIssues = true
; Log EnergyNet API accesses that aren't read-only - use this to debug IC2 addons.
logEnetApiAccesses = false
; Log EnergyNet API accesses with stack traces that aren't read-only - use this to debug IC2 addons.
logEnetApiAccessTraces = false
; Log all energy net connectivity updates in detail.
logGridUpdatesVerbose = false
; Log problems occuring during energy network calculations
logGridCalculationIssues = true

[agriculture]
; Comma separated list of crops which should not be loaded.

; Format: owner:crop

; for example ic2:ferru, ic2:wheat
disabledCrops = 

[compat / buildcraft]
; Allow BuildCraft fuels to be used in the fluid generators
enableBuildcraftFuels = true

